package com.ruoyi.ibs.task.service;

import com.ruoyi.ibs.task.domain.dto.VisitTargetDTO;
import com.ruoyi.ibs.task.domain.dto.VisitTaskListDTO;
import com.ruoyi.ibs.task.domain.vo.VisitTargetVO;
import com.ruoyi.ibs.task.domain.vo.VisitTaskListVO;

import java.util.List;

/**
 * @Author 吴凯程
 * @Date 2025/6/12
 **/
public interface VisitTaskService {

    List<VisitTaskListVO> getVisitTaskList(VisitTaskListDTO visitTaskListDTO);

    List<VisitTargetVO> getVisitTargetList(VisitTargetDTO visitTargetDTO);

    List<VisitTargetVO> getVisitTargetListByAppointment(String finishFlag);
}
